Bug 826120 - keystone service fails to start on a clean install
keystone service fails to start on a clean install
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: openstack-keystone (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 12:18 EDT by Alan Pevec
Modified: 2012-07-31 13:01 EDT (History)
9 users (show)

See Also:
Fixed In Version: openstack-keystone-2012.1-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-31 13:01:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.94 KB, patch)
2012-05-29 13:43 EDT, Alan Pevec
apevec: review? (pbrady)
pbrady: review+
Details | Diff

  None (edit)
Description Alan Pevec 2012-05-29 12:18:49 EDT
Description of problem:
keystone service fails to start on a clean install
due to missing dependency.

Version-Release number of selected component (if applicable):
openstack-keystone-2012.1-5.el6

python-keystone depends on python-paste-deploy1.5 and /usr/lib/python2.6/site-packages/keystone/__init__.py is patched to pull parallel installed newer version but in keystone-all there's direct import of paste.deploy before keystone imports.

Proposed patch:
--- /usr/bin/keystone-all.orig	2012-05-21 19:52:53.000000000 -0400
+++ /usr/bin/keystone-all	2012-05-29 16:08:37.373950104 -0400
@@ -16,11 +16,11 @@
                                '__init__.py')):
     sys.path.insert(0, possible_topdir)
 
-from paste import deploy
-
 from keystone import config
 from keystone.common import wsgi
 
+from paste import deploy
+
 
 CONF = config.CONF
Comment 1 Alan Pevec 2012-05-29 13:43:24 EDT
Created attachment 587469 [details]
Proposed patch
Comment 2 Pádraig Brady 2012-05-29 14:44:12 EDT
Ah I see a recent keystone update dropped python-paste-script, and hence the requirement on python-paste-deploy

I also see python-quantumclient depends on it, but that's something to be looked at separately.

I tested the patch out here and it works.

I also did a quick scan for other possible needed locations and I couldn't see any.

So patch looks good!
Comment 4 Fedora Update System 2012-06-21 14:07:04 EDT
openstack-keystone-2012.1-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6189/openstack-keystone-2012.1-8.el6
Comment 5 Fedora Update System 2012-07-16 08:52:52 EDT
openstack-keystone-2012.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-keystone-2012.1.1-1.el6
Comment 6 Fedora Update System 2012-07-16 13:02:19 EDT
Package openstack-keystone-2012.1.1-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing openstack-keystone-2012.1.1-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6413/openstack-keystone-2012.1.1-1.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-07-31 13:01:20 EDT
openstack-keystone-2012.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.